var last;
// funcion que realiza la conexion con el objeto XMLHTTP...
function getXMLHTTPRequest() {
var req;
try {
	req = new XMLHttpRequest();
} catch(err1) {
	try {
		req = new ActiveXObject("Msxml2.XMLHTTP");
	} catch (err2) {
		try {
			req = new ActiveXObject("Microsoft.XMLHTTP");
			} catch (err3) {
				req = false;
			}
		}
	}
	return req;
}
function Conectar()
{
	if(window.XMLHttpRequest)
		Conexion=new XMLHttpRequest(); //mozilla
	else if(window.ActiveXObject)
		Conexion=new ActiveXObject("Microsoft.XMLHTTP"); //microsoft
}
///********************************************************************************************************************************************************************
function BucarDatosViaje(){
  //donde se mostrará lo resultados
  var divResultado = document.getElementById('lista1');
  
  via=document.form1.via.value;
  origen=document.form1.origen.value;
  destino=document.form1.destino.value;
  fecha_ini=document.form1.fecha_ini.value;
  fecha_fin=document.form1.fecha_fin.value;  
  //stock_medi=Math.round(document.form1.stock.value);
  
	  	//contar caracteres if (field.value.length > maxlimit)
		  //instanciamos el objetoAjax
		  ajax=getXMLHTTPRequest();
		  //uso del medoto POST
		  //archivo que realizará la operacion  
		  ajax.open("POST","p_programa_pax_cuerpo.php",true);
		  ajax.onreadystatechange=function() {
		  if (ajax.readyState==4) {
		  //mostrar resultados en esta capa
		  divResultado.innerHTML = ajax.responseText
		  //llamar a funcion para limpiar los inputs    
		  
		  }
		  }
		  ajax.setRequestHeader("Content-Type","application/x-www-form-urlencoded");
		  //enviando los valores
		  ajax.send("via="+via+"&origen="+origen+"&destino="+destino+"&fecha_ini="+fecha_ini+"&fecha_fin="+fecha_fin)
		
  
}
///********************************************************************************************************************************************************************
function Focus1(elemento, valor) {
	$(elemento).className = 'inputon';	
	last = valor;
}
function Blur1(elemento, valor, campo, cod_ruta, via, fecha_ini, fecha_fin, origen, destino) {
  //donde se mostrará lo resultados
  
  
  divResultado = document.getElementById('mensaje');    
	 ajax=getXMLHTTPRequest();
		  //uso del medoto POST
		  //archivo que realizará la operacion 
		  $(elemento).className = 'inputoff';	
		  if (last != valor){
		  ajax.open("POST","procesos/p_programa_trans_g.php",true);
		  }
		  ajax.onreadystatechange=function() {
		  if (ajax.readyState==4) {
		  //mostrar resultados en esta capa
		  divResultado.innerHTML = ajax.responseText		  
		  //llamar a funcion para limpiar los inputs		  
		  }
		  }
		  
		  ajax.setRequestHeader("Content-Type","application/x-www-form-urlencoded");
		  //enviando los valores
		  ajax.send('valor='+valor+'&campo='+campo+'&cod_ruta='+cod_ruta+'&via='+via+'&fecha_ini='+fecha_ini+'&fecha_fin='+fecha_fin+'&origen='+origen+'&destino='+destino)  
    
}
///********************************************************************************************************************************************************************
function Focus(elemento, valor) {
	$(elemento).className = 'inputon';	
	last = valor;
}
function Blur(elemento, valor, campo, id, param, ver, via, clave1) {
  //donde se mostrará lo resultados
  
  
  divResultado = document.getElementById('lugar_grabar');  
  /*if(campo=='fechaini_tp' || campo=='fechafin_tp'){
  	if(Validar(valor)==false){ 
	return;
	}else if(Validar(valor)==true){*/
	 ajax=getXMLHTTPRequest();
		  //uso del medoto POST
		  //archivo que realizará la operacion 
		  $(elemento).className = 'inputoff';	
		  if (last != valor){
		  ajax.open("POST","procesos/p_viajes_det_g.php",true);
		  }
		  ajax.onreadystatechange=function() {
		  if (ajax.readyState==4) {
		  //mostrar resultados en esta capa
		  divResultado.innerHTML = ajax.responseText
		  divResultado.style.display="block";
		  //llamar a funcion para limpiar los inputs		  
		  }
		  }
		  
		  ajax.setRequestHeader("Content-Type","application/x-www-form-urlencoded");
		  //enviando los valores
		  ajax.send('valor='+valor+'&campo='+campo+'&id='+id+'&param='+param+'&ver='+ver+'&via='+via+'&clave1='+clave1)
	/*}
  }*/
  
    
}
//********************************************************************************************************
function enviarDatosViaje(){
  //donde se mostrará lo resultados
  divResultado = document.getElementById('canasta');
  
  har=document.form1.harranq_dch.value;
  hai=document.form1.haire_dch.value;
  hti=document.form1.htierra_dch.value;
  hap=document.form1.hapaga_dch.value;  
  origen1=document.form1.origen.value; 
  destino1=document.form1.destino.value;
  vias1=document.form1.vias.value;
  obser1=document.form1.obser.value;  
  matricula1=document.form1.matricula.value;
  combustible1=Math.round(document.form1.combustible.value);
  facturable1=document.form1.facturable.value;
  programado1=document.form1.programado.value;
  fechasalida=document.form1.fechasalida.value;
  fechallegada=document.form1.fechallegada.value;
  hdes=document.form1.hdes.value;
  pax=document.form1.pax.value;
  carga=document.form1.carga.value;
  
  //stock_medi=Math.round(document.form1.stock.value);
  if(document.form1.origen.value=="0"){
	  alert("No Ingreso el origen");
	  document.form1.origen.focus();
	  return;
  }else if(document.form1.destino.value=="0"){
	  alert("No Ingreso destino");
	  document.form1.destino.focus();
	  return;  
  }else{
	  	//contar caracteres if (field.value.length > maxlimit)
		  //instanciamos el objetoAjax
		  ajax=getXMLHTTPRequest();
		  //uso del medoto POST
		  //archivo que realizará la operacion  
		  ajax.open("POST","procesos/p_viaje_detalle_enviar_e.php",true);
		  ajax.onreadystatechange=function() {
		  if (ajax.readyState==4) {
		  //mostrar resultados en esta capa
		  divResultado.innerHTML = ajax.responseText
		  //llamar a funcion para limpiar los inputs    
		  LimpiarCampos();
		  }
		  }
		  ajax.setRequestHeader("Content-Type","application/x-www-form-urlencoded");
		  //enviando los valores
		  ajax.send("harranq_dch="+har+"&haire_dch="+hai+"&htierra_dch="+hti+"&hapaga_dch="+hap+"&origen="+origen1+"&destino="+destino1+"&obser="+obser1+"&matricula="+matricula1+"&vias="+vias1+"&combustible="+combustible1+"&facturable="+facturable1+"&programado="+programado1+"&fechasalida="+fechasalida+"&fechallegada="+fechallegada+"&hdes="+hdes+"&pax="+pax+"&carga="+carga)
		
  }
}
function LimpiarCampos(){
  document.form1.harranq_dch.value="00:00";
  document.form1.hapaga_dch.value="00:00";
  document.form1.haire_dch.value="00:00";
  document.form1.htierra_dch.value="00:00";
  document.form1.obser.value=""; 
  document.form1.combustible.value="0.00";   
  document.form1.obser.value="";
  document.form1.origen.value=document.form1.destino.value;
  document.form1.destino.value=document.form1.destino.value;  
  document.form1.destino.focus();
  }
function LimpiarCampoImport(){
  
  document.form1.file.value="";    
  document.form1.file.focus();
  }
  
function ImportarDatosE(){
  //donde se mostrará lo resultados
  divResultado = document.getElementById('canasta');
  
  file=document.form1.file.value; 
  vias1=document.form1.vias.value;
  matricula1=document.form1.matricula.value;
  if(document.form1.file.value==""){
	  alert("No Ingreso el archivo a importar");
	  document.form1.file.focus();
	  return;  
  }else{
	  	//contar caracteres if (field.value.length > maxlimit)
		  //instanciamos el objetoAjax
		  ajax=getXMLHTTPRequest();
		  //uso del medoto POST
		  //archivo que realizará la operacion  
		  ajax.open("POST","procesos/p_importar_ruta_e.php",true);
		  ajax.onreadystatechange=function() {
		  if (ajax.readyState==4) {
		  //mostrar resultados en esta capa
		  divResultado.innerHTML = ajax.responseText
		  //llamar a funcion para limpiar los inputs
		  LimpiarCampoImport();
		  }
		  }
		  ajax.setRequestHeader("Content-Type","application/x-www-form-urlencoded");
		  //enviando los valores
		  ajax.send("file="+file+"&vias="+vias1+"&matricula="+matricula1)
		
  }
}
function DatosDeleteItem(clave,cod,via){
	
  //donde se mostrará lo resultados
  divResultado = document.getElementById('canasta');  
  //instanciamos el objetoAjax
  ajax=getXMLHTTPRequest();
  //uso del medoto POST
  //archivo que realizará la operacion  
  ajax.open("POST","procesos/p_borraritem_viajedet_edit.php?clave="+clave+"&cod="+cod+"&via="+via,true);
  ajax.onreadystatechange=function() {
  if (ajax.readyState==4) {
  //mostrar resultados en esta capa
  divResultado.innerHTML = ajax.responseText
  //llamar a funcion para limpiar los inputs      
  }
  }
  ajax.setRequestHeader("Content-Type","application/x-www-form-urlencoded");
  //enviando los valores
  ajax.send(null)
}
function DatosDeleteItem1(clave,via){
	
  //donde se mostrará lo resultados
  divResultado = document.getElementById('canasta');  
  //instanciamos el objetoAjax
  ajax=getXMLHTTPRequest();
  //uso del medoto POST
  //archivo que realizará la operacion  
  ajax.open("POST","procesos/p_borraritem_viajedet_edit.php?clave="+clave+"&via="+via,true);
  ajax.onreadystatechange=function() {
  if (ajax.readyState==4) {
  //mostrar resultados en esta capa
  divResultado.innerHTML = ajax.responseText
  //llamar a funcion para limpiar los inputs      
  }
  }
  ajax.setRequestHeader("Content-Type","application/x-www-form-urlencoded");
  //enviando los valores
  ajax.send(null)
}
//********************************************************************************************************************************************
function enviarDatosGrabar(){
  //donde se mostrará lo resultados
  divResultado = document.getElementById('lugar_grabar');
  
  cod_ruta=document.form1.cod_ruta.value;
  via=document.form1.via.value;
  matricula=document.form1.matricula.value;
  fecha_ruta=document.form1.fecha_ruta.value;
  tiemporuta=document.form1.tiemporuta.value;
  nv=document.form1.nv.value;
  if(document.form1.via.value=='F'){
  testimado_ruta=document.form1.testimado_ruta.value;
  }else{
  testimado_ruta='0000-00-00';  
  }
  combustible=document.form1.combustible.value;
  cod_man=document.form1.cod_man.value;
  facturable=document.form1.facturable.value;
  valor1=document.form1.valor1.value;
  numeroingre1=parseInt(document.form1.numeroingre.value);
  
  //stock_medi=Math.round(document.form1.stock.value);
  if(document.form1.fecha_ruta.value==""){
	  alert("No Ingreso la fecha de salida");
	  document.form1.fecha_ruta.focus();
	  return;   
  }else if(numeroingre1 < 1){
		alert("No ingreso un viaje");
		form1.origen.focus();
		return;	
  }else{
	  	
		
		document.form1.boton_agregar.disabled = true;		  
		document.form1.boton_editar.disabled = true;
		divResultado.innerHTML= '<img src="imagen/anim.gif">';
		  //instanciamos el objetoAjax
		  ajax=getXMLHTTPRequest();
		  //uso del medoto POST
		  //archivo que realizará la operacion  
		  ajax.open("POST","procesos/p_rutas_editarcon_detalle.php",true);
		  ajax.onreadystatechange=function() {
		  if (ajax.readyState==4) {
		  //mostrar resultados en esta capa
		  divResultado.innerHTML = ajax.responseText
		  //llamar a funcion para limpiar los inputs    
		  //LimpiarCampos();
		  
		  }
		  }
		  ajax.setRequestHeader("Content-Type","application/x-www-form-urlencoded");
		  //enviando los valores
		  ajax.send("cod_ruta="+cod_ruta+"&via="+via+"&matricula="+matricula+"&fecha_ruta="+fecha_ruta+"&testimado_ruta="+testimado_ruta+"&combustible="+combustible+"&facturable="+facturable+"&valor1="+valor1+"&nv="+nv+"&cod_man="+cod_man+"&tiemporuta="+tiemporuta)
		
  }
}
//*************************************************************************************************************************************************************************
//*************************************************************************************************************************************************************************
//*************************************************************************************************************************************************************************
//*************************************************************************************************************************************************************************
//*************************************************************************************************************************************************************************
//*************************************************************************************************************************************************************************
function esFechaValida(fecha){
	if (fecha != undefined && fecha.value != "" ){
		if (!/^\d{2}\/\d{2}\/\d{4}$/.test(fecha.value)){
			alert("formato de fecha no válido (dd/mm/aaaa)");
			return false;
		}
		var dia  =  parseInt(fecha.value.substring(0,2),10);
		var mes  =  parseInt(fecha.value.substring(3,5),10);
		var anio =  parseInt(fecha.value.substring(6),10);
	switch(mes){
		case 1:
		case 3:
		case 5:
		case 7:
		case 8:
		case 10:
		case 12:
			numDias=31;
			break;
		case 4: case 6: case 9: case 11:
			numDias=30;
			break;
		case 2:
			if (comprobarSiBisisesto(anio)){ numDias=29 }else{ numDias=28};
			break;
		default:
			alert("Fecha introducida errónea");
			return false;
	}
		if (dia>numDias || dia==0){
			alert("Fecha introducida errónea");
			return false;
		}
		return true;
	}
}
function comprobarSiBisisesto(anio){
if ( ( anio % 100 != 0) && ((anio % 4 == 0) || (anio % 400 == 0))) {
	return true;
	}
else {
	return false;
	}
}
//**********************************************************************************************************
function Validar(Cadena){  
     var Fecha= new String(Cadena)   // Crea un string  
     var RealFecha= new Date()   // Para sacar la fecha de hoy  
     // Cadena Año  
     var Ano= new String(Fecha.substring(Fecha.lastIndexOf("-")+1,Fecha.length))  
     // Cadena Mes  
     var Mes= new String(Fecha.substring(Fecha.indexOf("-")+1,Fecha.lastIndexOf("-")))  
     // Cadena Día  
     var Dia= new String(Fecha.substring(0,Fecha.indexOf("-")))  
   
     // Valido el año  
     if (isNaN(Ano) || Ano.length<4 || parseFloat(Ano)<1900){  
             alert('Año inválido')  
         return false  
     }else  
     // Valido el Mes  
     if (isNaN(Mes) || parseFloat(Mes)<1 || parseFloat(Mes)>12){  
         alert('Mes inválido')  
         return false  
     }else  
     // Valido el Dia  
     if (isNaN(Dia) || parseInt(Dia, 10)<1 || parseInt(Dia, 10)>31){  
         alert('Día inválido')  
         return false  
     }else if (Mes==4 || Mes==6 || Mes==9 || Mes==11 || Mes==2) {  
         if (Mes==2 && Dia > 28 || Dia>30) {  
             alert('Día inválido')  
             return false  
         }  
     }else{
		return true 
	}  
       
   //para que envie los datos, quitar las  2 lineas siguientes  
   //alert("Fecha correcta.")  
   //return false
 } 